Package ch.qos.logback.classic.net

# Class LoggingEventPreSerializationTransformer

java.lang.Object
ch.qos.logback.classic.net.LoggingEventPreSerializationTransformer

All Implemented Interfaces:
  `PreSerializationTransformer<ILoggingEvent>`

public class LoggingEventPreSerializationTransformer extends Object implements PreSerializationTransformer<ILoggingEvent>

## Constructor Summary

Constructors
Constructor
Description
`LoggingEventPreSerializationTransformer()`

## Method Summary

Modifier and Type
Method
Description
`Serializable`
`transform(ILoggingEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoggingEventPreSerializationTransformer

public LoggingEventPreSerializationTransformer()

## Method Details

### transform

public Serializable transform(ILoggingEvent event)

Specified by:
  `transform` in interface `PreSerializationTransformer<ILoggingEvent>`